Aople iPhone - Jailbreak - redsn0w

My iPhone is a 3G, and I tried to unlock with redsn0w 09.6b and also 0.9.5.  The iPhone was connected to iTunes to the pc.  During the process, the software requested for the IPSW file corresponding to the firmware, but it is no where in site.
My firmware is 5.15.04 and the version is 4.2.1 (8C148) and that is where I am stuck right now.  Where can I find any software that will unlock my iPhone that has the above firmware and also the version No.   I have been reviewing some youtube.com videos but they recommend to use redsn0w and I am back to square 1 as I cannot find the right IPSW file for my firmware.  It is a very complicated and tough subject for me but I am sure with some easy steps to follow I can surely succeed.  Hope the Gurus can throw some light.  Thank u.
jegajothyretiredAsked:
Who is Participating?
 
JT92677Commented:
Try here:

http://osxdaily.com/2010/10/25/download-iphone-firmware-ipsw/

Then report results.  These ipsw files are stored during backup, but apparently you didn't backup while the version was "supported" by apple.

No guarantee that these will work, but they are a good test. Once you get it jailbroken, cydia will store ipsw's for you that can be used in the future if necessary.

I think they are tied to particular phones. That would be a reason why they might not work.

Jeff
0
 
darbid73Commented:
The software needs the original file to use it.

I actually gave you that in one of your other questions. See link in my answer here.
0
 
jegajothyretiredAuthor Commented:
In response, I am completely new to this iPhone technology, and infact I do not know what I am doing or the direction that I am taking.    All what I want to do is to unlock the phone and switch the carriers to another.  Is there any video tutorial giving a step by step instruction for a 3G.  I find this form of instruction very easy to follow as I have 2 monitors, thus while I play the video on one monitor, I can make  the changes using the 2nd monitor.  Thank u.
0
 
JT92677Commented:
Visit the site http://www.jailbreakme.com and read more about your situation.

I think the 3G requires an earlier IOS than 5.15, so you may be out of luck.

If you can't jailbreak it, it's doubtful you can unlock it.

WIsh I had better news.

Jeff
0
 
jegajothyretiredAuthor Commented:
Thank u everyone
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.